// Code generated by protoc-gen-go. DO NOT EDIT.
// source: store.proto

package proxy

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Store struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Logo                 string   `protobuf:"bytes,2,opt,name=logo,proto3" json:"logo,omitempty"`
	Name                 string   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Tagline              string   `protobuf:"bytes,4,opt,name=tagline,proto3" json:"tagline,omitempty"`
	Phone                string   `protobuf:"bytes,5,opt,name=phone,proto3" json:"phone,omitempty"`
	Latitude             float64  `protobuf:"fixed64,6,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,7,opt,name=longitude,proto3" json:"longitude,omitempty"`
	CategoryID           string   `protobuf:"bytes,8,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	Status               string   `protobuf:"bytes,9,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Store) Reset()         { *m = Store{} }
func (m *Store) String() string { return proto.CompactTextString(m) }
func (*Store) ProtoMessage()    {}
func (*Store) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{0}
}

func (m *Store) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Store.Unmarshal(m, b)
}
func (m *Store) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Store.Marshal(b, m, deterministic)
}
func (m *Store) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Store.Merge(m, src)
}
func (m *Store) XXX_Size() int {
	return xxx_messageInfo_Store.Size(m)
}
func (m *Store) XXX_DiscardUnknown() {
	xxx_messageInfo_Store.DiscardUnknown(m)
}

var xxx_messageInfo_Store proto.InternalMessageInfo

func (m *Store) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Store) GetLogo() string {
	if m != nil {
		return m.Logo
	}
	return ""
}

func (m *Store) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Store) GetTagline() string {
	if m != nil {
		return m.Tagline
	}
	return ""
}

func (m *Store) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *Store) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *Store) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

func (m *Store) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

func (m *Store) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type StoreCategory struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StoreCategory) Reset()         { *m = StoreCategory{} }
func (m *StoreCategory) String() string { return proto.CompactTextString(m) }
func (*StoreCategory) ProtoMessage()    {}
func (*StoreCategory) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{1}
}

func (m *StoreCategory) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StoreCategory.Unmarshal(m, b)
}
func (m *StoreCategory) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StoreCategory.Marshal(b, m, deterministic)
}
func (m *StoreCategory) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StoreCategory.Merge(m, src)
}
func (m *StoreCategory) XXX_Size() int {
	return xxx_messageInfo_StoreCategory.Size(m)
}
func (m *StoreCategory) XXX_DiscardUnknown() {
	xxx_messageInfo_StoreCategory.DiscardUnknown(m)
}

var xxx_messageInfo_StoreCategory proto.InternalMessageInfo

func (m *StoreCategory) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *StoreCategory) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type StoreTransaction struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Description          string   `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	CreatedAt            string   `protobuf:"bytes,3,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StoreTransaction) Reset()         { *m = StoreTransaction{} }
func (m *StoreTransaction) String() string { return proto.CompactTextString(m) }
func (*StoreTransaction) ProtoMessage()    {}
func (*StoreTransaction) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{2}
}

func (m *StoreTransaction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StoreTransaction.Unmarshal(m, b)
}
func (m *StoreTransaction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StoreTransaction.Marshal(b, m, deterministic)
}
func (m *StoreTransaction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StoreTransaction.Merge(m, src)
}
func (m *StoreTransaction) XXX_Size() int {
	return xxx_messageInfo_StoreTransaction.Size(m)
}
func (m *StoreTransaction) XXX_DiscardUnknown() {
	xxx_messageInfo_StoreTransaction.DiscardUnknown(m)
}

var xxx_messageInfo_StoreTransaction proto.InternalMessageInfo

func (m *StoreTransaction) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *StoreTransaction) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *StoreTransaction) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

type GetNewStoreTodayRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewStoreTodayRequest) Reset()         { *m = GetNewStoreTodayRequest{} }
func (m *GetNewStoreTodayRequest) String() string { return proto.CompactTextString(m) }
func (*GetNewStoreTodayRequest) ProtoMessage()    {}
func (*GetNewStoreTodayRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{3}
}

func (m *GetNewStoreTodayRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewStoreTodayRequest.Unmarshal(m, b)
}
func (m *GetNewStoreTodayRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewStoreTodayRequest.Marshal(b, m, deterministic)
}
func (m *GetNewStoreTodayRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewStoreTodayRequest.Merge(m, src)
}
func (m *GetNewStoreTodayRequest) XXX_Size() int {
	return xxx_messageInfo_GetNewStoreTodayRequest.Size(m)
}
func (m *GetNewStoreTodayRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewStoreTodayRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewStoreTodayRequest proto.InternalMessageInfo

type GetNewStoreTodayReply struct {
	Count                int32    `protobuf:"varint,1,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewStoreTodayReply) Reset()         { *m = GetNewStoreTodayReply{} }
func (m *GetNewStoreTodayReply) String() string { return proto.CompactTextString(m) }
func (*GetNewStoreTodayReply) ProtoMessage()    {}
func (*GetNewStoreTodayReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{4}
}

func (m *GetNewStoreTodayReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewStoreTodayReply.Unmarshal(m, b)
}
func (m *GetNewStoreTodayReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewStoreTodayReply.Marshal(b, m, deterministic)
}
func (m *GetNewStoreTodayReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewStoreTodayReply.Merge(m, src)
}
func (m *GetNewStoreTodayReply) XXX_Size() int {
	return xxx_messageInfo_GetNewStoreTodayReply.Size(m)
}
func (m *GetNewStoreTodayReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewStoreTodayReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewStoreTodayReply proto.InternalMessageInfo

func (m *GetNewStoreTodayReply) GetCount() int32 {
	if m != nil {
		return m.Count
	}
	return 0
}

type CreateStoreCategoryRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStoreCategoryRequest) Reset()         { *m = CreateStoreCategoryRequest{} }
func (m *CreateStoreCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*CreateStoreCategoryRequest) ProtoMessage()    {}
func (*CreateStoreCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{5}
}

func (m *CreateStoreCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStoreCategoryRequest.Unmarshal(m, b)
}
func (m *CreateStoreCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStoreCategoryRequest.Marshal(b, m, deterministic)
}
func (m *CreateStoreCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStoreCategoryRequest.Merge(m, src)
}
func (m *CreateStoreCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_CreateStoreCategoryRequest.Size(m)
}
func (m *CreateStoreCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStoreCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStoreCategoryRequest proto.InternalMessageInfo

func (m *CreateStoreCategoryRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type CreateStoreCategoryReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStoreCategoryReply) Reset()         { *m = CreateStoreCategoryReply{} }
func (m *CreateStoreCategoryReply) String() string { return proto.CompactTextString(m) }
func (*CreateStoreCategoryReply) ProtoMessage()    {}
func (*CreateStoreCategoryReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{6}
}

func (m *CreateStoreCategoryReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStoreCategoryReply.Unmarshal(m, b)
}
func (m *CreateStoreCategoryReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStoreCategoryReply.Marshal(b, m, deterministic)
}
func (m *CreateStoreCategoryReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStoreCategoryReply.Merge(m, src)
}
func (m *CreateStoreCategoryReply) XXX_Size() int {
	return xxx_messageInfo_CreateStoreCategoryReply.Size(m)
}
func (m *CreateStoreCategoryReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStoreCategoryReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStoreCategoryReply proto.InternalMessageInfo

func (m *CreateStoreCategoryReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetStoreCategoriesRequest struct {
	Offset               int32    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreCategoriesRequest) Reset()         { *m = GetStoreCategoriesRequest{} }
func (m *GetStoreCategoriesRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoreCategoriesRequest) ProtoMessage()    {}
func (*GetStoreCategoriesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{7}
}

func (m *GetStoreCategoriesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreCategoriesRequest.Unmarshal(m, b)
}
func (m *GetStoreCategoriesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreCategoriesRequest.Marshal(b, m, deterministic)
}
func (m *GetStoreCategoriesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreCategoriesRequest.Merge(m, src)
}
func (m *GetStoreCategoriesRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoreCategoriesRequest.Size(m)
}
func (m *GetStoreCategoriesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreCategoriesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreCategoriesRequest proto.InternalMessageInfo

func (m *GetStoreCategoriesRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoreCategoriesRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoreCategoriesReply struct {
	Categories           []*StoreCategory `protobuf:"bytes,1,rep,name=categories,proto3" json:"categories,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *GetStoreCategoriesReply) Reset()         { *m = GetStoreCategoriesReply{} }
func (m *GetStoreCategoriesReply) String() string { return proto.CompactTextString(m) }
func (*GetStoreCategoriesReply) ProtoMessage()    {}
func (*GetStoreCategoriesReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{8}
}

func (m *GetStoreCategoriesReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreCategoriesReply.Unmarshal(m, b)
}
func (m *GetStoreCategoriesReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreCategoriesReply.Marshal(b, m, deterministic)
}
func (m *GetStoreCategoriesReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreCategoriesReply.Merge(m, src)
}
func (m *GetStoreCategoriesReply) XXX_Size() int {
	return xxx_messageInfo_GetStoreCategoriesReply.Size(m)
}
func (m *GetStoreCategoriesReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreCategoriesReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreCategoriesReply proto.InternalMessageInfo

func (m *GetStoreCategoriesReply) GetCategories() []*StoreCategory {
	if m != nil {
		return m.Categories
	}
	return nil
}

type GetStoreCategoryRequest struct {
	CategoryID           string   `protobuf:"bytes,1,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreCategoryRequest) Reset()         { *m = GetStoreCategoryRequest{} }
func (m *GetStoreCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoreCategoryRequest) ProtoMessage()    {}
func (*GetStoreCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{9}
}

func (m *GetStoreCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreCategoryRequest.Unmarshal(m, b)
}
func (m *GetStoreCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreCategoryRequest.Marshal(b, m, deterministic)
}
func (m *GetStoreCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreCategoryRequest.Merge(m, src)
}
func (m *GetStoreCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoreCategoryRequest.Size(m)
}
func (m *GetStoreCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreCategoryRequest proto.InternalMessageInfo

func (m *GetStoreCategoryRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

type GetStoreCategoryReply struct {
	Category             *StoreCategory `protobuf:"bytes,1,opt,name=category,proto3" json:"category,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *GetStoreCategoryReply) Reset()         { *m = GetStoreCategoryReply{} }
func (m *GetStoreCategoryReply) String() string { return proto.CompactTextString(m) }
func (*GetStoreCategoryReply) ProtoMessage()    {}
func (*GetStoreCategoryReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{10}
}

func (m *GetStoreCategoryReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreCategoryReply.Unmarshal(m, b)
}
func (m *GetStoreCategoryReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreCategoryReply.Marshal(b, m, deterministic)
}
func (m *GetStoreCategoryReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreCategoryReply.Merge(m, src)
}
func (m *GetStoreCategoryReply) XXX_Size() int {
	return xxx_messageInfo_GetStoreCategoryReply.Size(m)
}
func (m *GetStoreCategoryReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreCategoryReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreCategoryReply proto.InternalMessageInfo

func (m *GetStoreCategoryReply) GetCategory() *StoreCategory {
	if m != nil {
		return m.Category
	}
	return nil
}

type UpdateStoreCategoryRequest struct {
	CategoryID           string   `protobuf:"bytes,1,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateStoreCategoryRequest) Reset()         { *m = UpdateStoreCategoryRequest{} }
func (m *UpdateStoreCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateStoreCategoryRequest) ProtoMessage()    {}
func (*UpdateStoreCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{11}
}

func (m *UpdateStoreCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStoreCategoryRequest.Unmarshal(m, b)
}
func (m *UpdateStoreCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStoreCategoryRequest.Marshal(b, m, deterministic)
}
func (m *UpdateStoreCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStoreCategoryRequest.Merge(m, src)
}
func (m *UpdateStoreCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateStoreCategoryRequest.Size(m)
}
func (m *UpdateStoreCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStoreCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStoreCategoryRequest proto.InternalMessageInfo

func (m *UpdateStoreCategoryRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

func (m *UpdateStoreCategoryRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type UpdateStoreCategoryReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateStoreCategoryReply) Reset()         { *m = UpdateStoreCategoryReply{} }
func (m *UpdateStoreCategoryReply) String() string { return proto.CompactTextString(m) }
func (*UpdateStoreCategoryReply) ProtoMessage()    {}
func (*UpdateStoreCategoryReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{12}
}

func (m *UpdateStoreCategoryReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStoreCategoryReply.Unmarshal(m, b)
}
func (m *UpdateStoreCategoryReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStoreCategoryReply.Marshal(b, m, deterministic)
}
func (m *UpdateStoreCategoryReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStoreCategoryReply.Merge(m, src)
}
func (m *UpdateStoreCategoryReply) XXX_Size() int {
	return xxx_messageInfo_UpdateStoreCategoryReply.Size(m)
}
func (m *UpdateStoreCategoryReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStoreCategoryReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStoreCategoryReply proto.InternalMessageInfo

func (m *UpdateStoreCategoryReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteStoreCategoryRequest struct {
	CategoryID           string   `protobuf:"bytes,1,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteStoreCategoryRequest) Reset()         { *m = DeleteStoreCategoryRequest{} }
func (m *DeleteStoreCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteStoreCategoryRequest) ProtoMessage()    {}
func (*DeleteStoreCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{13}
}

func (m *DeleteStoreCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteStoreCategoryRequest.Unmarshal(m, b)
}
func (m *DeleteStoreCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteStoreCategoryRequest.Marshal(b, m, deterministic)
}
func (m *DeleteStoreCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteStoreCategoryRequest.Merge(m, src)
}
func (m *DeleteStoreCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteStoreCategoryRequest.Size(m)
}
func (m *DeleteStoreCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteStoreCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteStoreCategoryRequest proto.InternalMessageInfo

func (m *DeleteStoreCategoryRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

type DeleteStoreCategoryReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteStoreCategoryReply) Reset()         { *m = DeleteStoreCategoryReply{} }
func (m *DeleteStoreCategoryReply) String() string { return proto.CompactTextString(m) }
func (*DeleteStoreCategoryReply) ProtoMessage()    {}
func (*DeleteStoreCategoryReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{14}
}

func (m *DeleteStoreCategoryReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteStoreCategoryReply.Unmarshal(m, b)
}
func (m *DeleteStoreCategoryReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteStoreCategoryReply.Marshal(b, m, deterministic)
}
func (m *DeleteStoreCategoryReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteStoreCategoryReply.Merge(m, src)
}
func (m *DeleteStoreCategoryReply) XXX_Size() int {
	return xxx_messageInfo_DeleteStoreCategoryReply.Size(m)
}
func (m *DeleteStoreCategoryReply) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteStoreCategoryReply.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteStoreCategoryReply proto.InternalMessageInfo

func (m *DeleteStoreCategoryReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type CreateStoreRequest struct {
	Logo                 string   `protobuf:"bytes,1,opt,name=logo,proto3" json:"logo,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Tagline              string   `protobuf:"bytes,3,opt,name=tagline,proto3" json:"tagline,omitempty"`
	Phone                string   `protobuf:"bytes,4,opt,name=phone,proto3" json:"phone,omitempty"`
	Latitude             float64  `protobuf:"fixed64,5,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,6,opt,name=longitude,proto3" json:"longitude,omitempty"`
	UserID               string   `protobuf:"bytes,7,opt,name=userID,proto3" json:"userID,omitempty"`
	CategoryID           string   `protobuf:"bytes,8,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStoreRequest) Reset()         { *m = CreateStoreRequest{} }
func (m *CreateStoreRequest) String() string { return proto.CompactTextString(m) }
func (*CreateStoreRequest) ProtoMessage()    {}
func (*CreateStoreRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{15}
}

func (m *CreateStoreRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStoreRequest.Unmarshal(m, b)
}
func (m *CreateStoreRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStoreRequest.Marshal(b, m, deterministic)
}
func (m *CreateStoreRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStoreRequest.Merge(m, src)
}
func (m *CreateStoreRequest) XXX_Size() int {
	return xxx_messageInfo_CreateStoreRequest.Size(m)
}
func (m *CreateStoreRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStoreRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStoreRequest proto.InternalMessageInfo

func (m *CreateStoreRequest) GetLogo() string {
	if m != nil {
		return m.Logo
	}
	return ""
}

func (m *CreateStoreRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *CreateStoreRequest) GetTagline() string {
	if m != nil {
		return m.Tagline
	}
	return ""
}

func (m *CreateStoreRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *CreateStoreRequest) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *CreateStoreRequest) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

func (m *CreateStoreRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *CreateStoreRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

type CreateStoreReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateStoreReply) Reset()         { *m = CreateStoreReply{} }
func (m *CreateStoreReply) String() string { return proto.CompactTextString(m) }
func (*CreateStoreReply) ProtoMessage()    {}
func (*CreateStoreReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{16}
}

func (m *CreateStoreReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateStoreReply.Unmarshal(m, b)
}
func (m *CreateStoreReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateStoreReply.Marshal(b, m, deterministic)
}
func (m *CreateStoreReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateStoreReply.Merge(m, src)
}
func (m *CreateStoreReply) XXX_Size() int {
	return xxx_messageInfo_CreateStoreReply.Size(m)
}
func (m *CreateStoreReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateStoreReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateStoreReply proto.InternalMessageInfo

func (m *CreateStoreReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetStoresRequest struct {
	Offset               int32    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresRequest) Reset()         { *m = GetStoresRequest{} }
func (m *GetStoresRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoresRequest) ProtoMessage()    {}
func (*GetStoresRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{17}
}

func (m *GetStoresRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresRequest.Unmarshal(m, b)
}
func (m *GetStoresRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresRequest.Marshal(b, m, deterministic)
}
func (m *GetStoresRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresRequest.Merge(m, src)
}
func (m *GetStoresRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoresRequest.Size(m)
}
func (m *GetStoresRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresRequest proto.InternalMessageInfo

func (m *GetStoresRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoresRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoresReply struct {
	Stores               []*Store `protobuf:"bytes,1,rep,name=stores,proto3" json:"stores,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresReply) Reset()         { *m = GetStoresReply{} }
func (m *GetStoresReply) String() string { return proto.CompactTextString(m) }
func (*GetStoresReply) ProtoMessage()    {}
func (*GetStoresReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{18}
}

func (m *GetStoresReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresReply.Unmarshal(m, b)
}
func (m *GetStoresReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresReply.Marshal(b, m, deterministic)
}
func (m *GetStoresReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresReply.Merge(m, src)
}
func (m *GetStoresReply) XXX_Size() int {
	return xxx_messageInfo_GetStoresReply.Size(m)
}
func (m *GetStoresReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresReply proto.InternalMessageInfo

func (m *GetStoresReply) GetStores() []*Store {
	if m != nil {
		return m.Stores
	}
	return nil
}

type GetStoresByCategoryRequest struct {
	CategoryID           string   `protobuf:"bytes,1,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	Offset               int32    `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByCategoryRequest) Reset()         { *m = GetStoresByCategoryRequest{} }
func (m *GetStoresByCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoresByCategoryRequest) ProtoMessage()    {}
func (*GetStoresByCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{19}
}

func (m *GetStoresByCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByCategoryRequest.Unmarshal(m, b)
}
func (m *GetStoresByCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByCategoryRequest.Marshal(b, m, deterministic)
}
func (m *GetStoresByCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByCategoryRequest.Merge(m, src)
}
func (m *GetStoresByCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoresByCategoryRequest.Size(m)
}
func (m *GetStoresByCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByCategoryRequest proto.InternalMessageInfo

func (m *GetStoresByCategoryRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

func (m *GetStoresByCategoryRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoresByCategoryRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoresByCategoryReply struct {
	Stores               []*Store `protobuf:"bytes,1,rep,name=stores,proto3" json:"stores,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByCategoryReply) Reset()         { *m = GetStoresByCategoryReply{} }
func (m *GetStoresByCategoryReply) String() string { return proto.CompactTextString(m) }
func (*GetStoresByCategoryReply) ProtoMessage()    {}
func (*GetStoresByCategoryReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{20}
}

func (m *GetStoresByCategoryReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByCategoryReply.Unmarshal(m, b)
}
func (m *GetStoresByCategoryReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByCategoryReply.Marshal(b, m, deterministic)
}
func (m *GetStoresByCategoryReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByCategoryReply.Merge(m, src)
}
func (m *GetStoresByCategoryReply) XXX_Size() int {
	return xxx_messageInfo_GetStoresByCategoryReply.Size(m)
}
func (m *GetStoresByCategoryReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByCategoryReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByCategoryReply proto.InternalMessageInfo

func (m *GetStoresByCategoryReply) GetStores() []*Store {
	if m != nil {
		return m.Stores
	}
	return nil
}

type GetStoresByKeywordRequest struct {
	Keyword              string   `protobuf:"bytes,1,opt,name=keyword,proto3" json:"keyword,omitempty"`
	Offset               int32    `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByKeywordRequest) Reset()         { *m = GetStoresByKeywordRequest{} }
func (m *GetStoresByKeywordRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoresByKeywordRequest) ProtoMessage()    {}
func (*GetStoresByKeywordRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{21}
}

func (m *GetStoresByKeywordRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByKeywordRequest.Unmarshal(m, b)
}
func (m *GetStoresByKeywordRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByKeywordRequest.Marshal(b, m, deterministic)
}
func (m *GetStoresByKeywordRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByKeywordRequest.Merge(m, src)
}
func (m *GetStoresByKeywordRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoresByKeywordRequest.Size(m)
}
func (m *GetStoresByKeywordRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByKeywordRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByKeywordRequest proto.InternalMessageInfo

func (m *GetStoresByKeywordRequest) GetKeyword() string {
	if m != nil {
		return m.Keyword
	}
	return ""
}

func (m *GetStoresByKeywordRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoresByKeywordRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoresByKeywordReply struct {
	Stores               []*Store `protobuf:"bytes,1,rep,name=stores,proto3" json:"stores,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByKeywordReply) Reset()         { *m = GetStoresByKeywordReply{} }
func (m *GetStoresByKeywordReply) String() string { return proto.CompactTextString(m) }
func (*GetStoresByKeywordReply) ProtoMessage()    {}
func (*GetStoresByKeywordReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{22}
}

func (m *GetStoresByKeywordReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByKeywordReply.Unmarshal(m, b)
}
func (m *GetStoresByKeywordReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByKeywordReply.Marshal(b, m, deterministic)
}
func (m *GetStoresByKeywordReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByKeywordReply.Merge(m, src)
}
func (m *GetStoresByKeywordReply) XXX_Size() int {
	return xxx_messageInfo_GetStoresByKeywordReply.Size(m)
}
func (m *GetStoresByKeywordReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByKeywordReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByKeywordReply proto.InternalMessageInfo

func (m *GetStoresByKeywordReply) GetStores() []*Store {
	if m != nil {
		return m.Stores
	}
	return nil
}

type GetStoresByUserRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Offset               int32    `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByUserRequest) Reset()         { *m = GetStoresByUserRequest{} }
func (m *GetStoresByUserRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoresByUserRequest) ProtoMessage()    {}
func (*GetStoresByUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{23}
}

func (m *GetStoresByUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByUserRequest.Unmarshal(m, b)
}
func (m *GetStoresByUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByUserRequest.Marshal(b, m, deterministic)
}
func (m *GetStoresByUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByUserRequest.Merge(m, src)
}
func (m *GetStoresByUserRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoresByUserRequest.Size(m)
}
func (m *GetStoresByUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByUserRequest proto.InternalMessageInfo

func (m *GetStoresByUserRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *GetStoresByUserRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoresByUserRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoresByUserReply struct {
	Stores               []*Store `protobuf:"bytes,1,rep,name=stores,proto3" json:"stores,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoresByUserReply) Reset()         { *m = GetStoresByUserReply{} }
func (m *GetStoresByUserReply) String() string { return proto.CompactTextString(m) }
func (*GetStoresByUserReply) ProtoMessage()    {}
func (*GetStoresByUserReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{24}
}

func (m *GetStoresByUserReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoresByUserReply.Unmarshal(m, b)
}
func (m *GetStoresByUserReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoresByUserReply.Marshal(b, m, deterministic)
}
func (m *GetStoresByUserReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoresByUserReply.Merge(m, src)
}
func (m *GetStoresByUserReply) XXX_Size() int {
	return xxx_messageInfo_GetStoresByUserReply.Size(m)
}
func (m *GetStoresByUserReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoresByUserReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoresByUserReply proto.InternalMessageInfo

func (m *GetStoresByUserReply) GetStores() []*Store {
	if m != nil {
		return m.Stores
	}
	return nil
}

type GetStoreRequest struct {
	StoreID              string   `protobuf:"bytes,1,opt,name=storeID,proto3" json:"storeID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreRequest) Reset()         { *m = GetStoreRequest{} }
func (m *GetStoreRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoreRequest) ProtoMessage()    {}
func (*GetStoreRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{25}
}

func (m *GetStoreRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreRequest.Unmarshal(m, b)
}
func (m *GetStoreRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreRequest.Marshal(b, m, deterministic)
}
func (m *GetStoreRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreRequest.Merge(m, src)
}
func (m *GetStoreRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoreRequest.Size(m)
}
func (m *GetStoreRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreRequest proto.InternalMessageInfo

func (m *GetStoreRequest) GetStoreID() string {
	if m != nil {
		return m.StoreID
	}
	return ""
}

type GetStoreReply struct {
	Store                *Store   `protobuf:"bytes,1,opt,name=store,proto3" json:"store,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreReply) Reset()         { *m = GetStoreReply{} }
func (m *GetStoreReply) String() string { return proto.CompactTextString(m) }
func (*GetStoreReply) ProtoMessage()    {}
func (*GetStoreReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{26}
}

func (m *GetStoreReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreReply.Unmarshal(m, b)
}
func (m *GetStoreReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreReply.Marshal(b, m, deterministic)
}
func (m *GetStoreReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreReply.Merge(m, src)
}
func (m *GetStoreReply) XXX_Size() int {
	return xxx_messageInfo_GetStoreReply.Size(m)
}
func (m *GetStoreReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreReply proto.InternalMessageInfo

func (m *GetStoreReply) GetStore() *Store {
	if m != nil {
		return m.Store
	}
	return nil
}

type UpdateStoreRequest struct {
	StoreID              string   `protobuf:"bytes,1,opt,name=storeID,proto3" json:"storeID,omitempty"`
	Logo                 string   `protobuf:"bytes,2,opt,name=logo,proto3" json:"logo,omitempty"`
	Name                 string   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Tagline              string   `protobuf:"bytes,4,opt,name=tagline,proto3" json:"tagline,omitempty"`
	Phone                string   `protobuf:"bytes,5,opt,name=phone,proto3" json:"phone,omitempty"`
	Latitude             float64  `protobuf:"fixed64,6,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,7,opt,name=longitude,proto3" json:"longitude,omitempty"`
	UserID               string   `protobuf:"bytes,8,opt,name=userID,proto3" json:"userID,omitempty"`
	CategoryID           string   `protobuf:"bytes,9,opt,name=categoryID,proto3" json:"categoryID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateStoreRequest) Reset()         { *m = UpdateStoreRequest{} }
func (m *UpdateStoreRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateStoreRequest) ProtoMessage()    {}
func (*UpdateStoreRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{27}
}

func (m *UpdateStoreRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStoreRequest.Unmarshal(m, b)
}
func (m *UpdateStoreRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStoreRequest.Marshal(b, m, deterministic)
}
func (m *UpdateStoreRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStoreRequest.Merge(m, src)
}
func (m *UpdateStoreRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateStoreRequest.Size(m)
}
func (m *UpdateStoreRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStoreRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStoreRequest proto.InternalMessageInfo

func (m *UpdateStoreRequest) GetStoreID() string {
	if m != nil {
		return m.StoreID
	}
	return ""
}

func (m *UpdateStoreRequest) GetLogo() string {
	if m != nil {
		return m.Logo
	}
	return ""
}

func (m *UpdateStoreRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *UpdateStoreRequest) GetTagline() string {
	if m != nil {
		return m.Tagline
	}
	return ""
}

func (m *UpdateStoreRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *UpdateStoreRequest) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *UpdateStoreRequest) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

func (m *UpdateStoreRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *UpdateStoreRequest) GetCategoryID() string {
	if m != nil {
		return m.CategoryID
	}
	return ""
}

type UpdateStoreReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateStoreReply) Reset()         { *m = UpdateStoreReply{} }
func (m *UpdateStoreReply) String() string { return proto.CompactTextString(m) }
func (*UpdateStoreReply) ProtoMessage()    {}
func (*UpdateStoreReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{28}
}

func (m *UpdateStoreReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateStoreReply.Unmarshal(m, b)
}
func (m *UpdateStoreReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateStoreReply.Marshal(b, m, deterministic)
}
func (m *UpdateStoreReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateStoreReply.Merge(m, src)
}
func (m *UpdateStoreReply) XXX_Size() int {
	return xxx_messageInfo_UpdateStoreReply.Size(m)
}
func (m *UpdateStoreReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateStoreReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateStoreReply proto.InternalMessageInfo

func (m *UpdateStoreReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type ActivateStoreRequest struct {
	StoreID              string   `protobuf:"bytes,1,opt,name=storeID,proto3" json:"storeID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ActivateStoreRequest) Reset()         { *m = ActivateStoreRequest{} }
func (m *ActivateStoreRequest) String() string { return proto.CompactTextString(m) }
func (*ActivateStoreRequest) ProtoMessage()    {}
func (*ActivateStoreRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{29}
}

func (m *ActivateStoreRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ActivateStoreRequest.Unmarshal(m, b)
}
func (m *ActivateStoreRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ActivateStoreRequest.Marshal(b, m, deterministic)
}
func (m *ActivateStoreRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ActivateStoreRequest.Merge(m, src)
}
func (m *ActivateStoreRequest) XXX_Size() int {
	return xxx_messageInfo_ActivateStoreRequest.Size(m)
}
func (m *ActivateStoreRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ActivateStoreRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ActivateStoreRequest proto.InternalMessageInfo

func (m *ActivateStoreRequest) GetStoreID() string {
	if m != nil {
		return m.StoreID
	}
	return ""
}

type ActivateStoreReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ActivateStoreReply) Reset()         { *m = ActivateStoreReply{} }
func (m *ActivateStoreReply) String() string { return proto.CompactTextString(m) }
func (*ActivateStoreReply) ProtoMessage()    {}
func (*ActivateStoreReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{30}
}

func (m *ActivateStoreReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ActivateStoreReply.Unmarshal(m, b)
}
func (m *ActivateStoreReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ActivateStoreReply.Marshal(b, m, deterministic)
}
func (m *ActivateStoreReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ActivateStoreReply.Merge(m, src)
}
func (m *ActivateStoreReply) XXX_Size() int {
	return xxx_messageInfo_ActivateStoreReply.Size(m)
}
func (m *ActivateStoreReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ActivateStoreReply.DiscardUnknown(m)
}

var xxx_messageInfo_ActivateStoreReply proto.InternalMessageInfo

func (m *ActivateStoreReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type BanStoreRequest struct {
	StoreID              string   `protobuf:"bytes,1,opt,name=storeID,proto3" json:"storeID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BanStoreRequest) Reset()         { *m = BanStoreRequest{} }
func (m *BanStoreRequest) String() string { return proto.CompactTextString(m) }
func (*BanStoreRequest) ProtoMessage()    {}
func (*BanStoreRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{31}
}

func (m *BanStoreRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BanStoreRequest.Unmarshal(m, b)
}
func (m *BanStoreRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BanStoreRequest.Marshal(b, m, deterministic)
}
func (m *BanStoreRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BanStoreRequest.Merge(m, src)
}
func (m *BanStoreRequest) XXX_Size() int {
	return xxx_messageInfo_BanStoreRequest.Size(m)
}
func (m *BanStoreRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BanStoreRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BanStoreRequest proto.InternalMessageInfo

func (m *BanStoreRequest) GetStoreID() string {
	if m != nil {
		return m.StoreID
	}
	return ""
}

type BanStoreReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BanStoreReply) Reset()         { *m = BanStoreReply{} }
func (m *BanStoreReply) String() string { return proto.CompactTextString(m) }
func (*BanStoreReply) ProtoMessage()    {}
func (*BanStoreReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{32}
}

func (m *BanStoreReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BanStoreReply.Unmarshal(m, b)
}
func (m *BanStoreReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BanStoreReply.Marshal(b, m, deterministic)
}
func (m *BanStoreReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BanStoreReply.Merge(m, src)
}
func (m *BanStoreReply) XXX_Size() int {
	return xxx_messageInfo_BanStoreReply.Size(m)
}
func (m *BanStoreReply) XXX_DiscardUnknown() {
	xxx_messageInfo_BanStoreReply.DiscardUnknown(m)
}

var xxx_messageInfo_BanStoreReply proto.InternalMessageInfo

func (m *BanStoreReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetStoreTransactionsRequest struct {
	StoreID              string   `protobuf:"bytes,1,opt,name=storeID,proto3" json:"storeID,omitempty"`
	Offset               int32    `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreTransactionsRequest) Reset()         { *m = GetStoreTransactionsRequest{} }
func (m *GetStoreTransactionsRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoreTransactionsRequest) ProtoMessage()    {}
func (*GetStoreTransactionsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{33}
}

func (m *GetStoreTransactionsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreTransactionsRequest.Unmarshal(m, b)
}
func (m *GetStoreTransactionsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreTransactionsRequest.Marshal(b, m, deterministic)
}
func (m *GetStoreTransactionsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreTransactionsRequest.Merge(m, src)
}
func (m *GetStoreTransactionsRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoreTransactionsRequest.Size(m)
}
func (m *GetStoreTransactionsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreTransactionsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreTransactionsRequest proto.InternalMessageInfo

func (m *GetStoreTransactionsRequest) GetStoreID() string {
	if m != nil {
		return m.StoreID
	}
	return ""
}

func (m *GetStoreTransactionsRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetStoreTransactionsRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetStoreTransactionsReply struct {
	Transactions         []*StoreTransaction `protobuf:"bytes,1,rep,name=transactions,proto3" json:"transactions,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *GetStoreTransactionsReply) Reset()         { *m = GetStoreTransactionsReply{} }
func (m *GetStoreTransactionsReply) String() string { return proto.CompactTextString(m) }
func (*GetStoreTransactionsReply) ProtoMessage()    {}
func (*GetStoreTransactionsReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{34}
}

func (m *GetStoreTransactionsReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreTransactionsReply.Unmarshal(m, b)
}
func (m *GetStoreTransactionsReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreTransactionsReply.Marshal(b, m, deterministic)
}
func (m *GetStoreTransactionsReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreTransactionsReply.Merge(m, src)
}
func (m *GetStoreTransactionsReply) XXX_Size() int {
	return xxx_messageInfo_GetStoreTransactionsReply.Size(m)
}
func (m *GetStoreTransactionsReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreTransactionsReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreTransactionsReply proto.InternalMessageInfo

func (m *GetStoreTransactionsReply) GetTransactions() []*StoreTransaction {
	if m != nil {
		return m.Transactions
	}
	return nil
}

type GetStoreTransactionRequest struct {
	TransactionID        string   `protobuf:"bytes,1,opt,name=transactionID,proto3" json:"transactionID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetStoreTransactionRequest) Reset()         { *m = GetStoreTransactionRequest{} }
func (m *GetStoreTransactionRequest) String() string { return proto.CompactTextString(m) }
func (*GetStoreTransactionRequest) ProtoMessage()    {}
func (*GetStoreTransactionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{35}
}

func (m *GetStoreTransactionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreTransactionRequest.Unmarshal(m, b)
}
func (m *GetStoreTransactionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreTransactionRequest.Marshal(b, m, deterministic)
}
func (m *GetStoreTransactionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreTransactionRequest.Merge(m, src)
}
func (m *GetStoreTransactionRequest) XXX_Size() int {
	return xxx_messageInfo_GetStoreTransactionRequest.Size(m)
}
func (m *GetStoreTransactionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreTransactionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreTransactionRequest proto.InternalMessageInfo

func (m *GetStoreTransactionRequest) GetTransactionID() string {
	if m != nil {
		return m.TransactionID
	}
	return ""
}

type GetStoreTransactionReply struct {
	Transaction          *StoreTransaction `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetStoreTransactionReply) Reset()         { *m = GetStoreTransactionReply{} }
func (m *GetStoreTransactionReply) String() string { return proto.CompactTextString(m) }
func (*GetStoreTransactionReply) ProtoMessage()    {}
func (*GetStoreTransactionReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_98bbca36ef968dfc, []int{36}
}

func (m *GetStoreTransactionReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStoreTransactionReply.Unmarshal(m, b)
}
func (m *GetStoreTransactionReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStoreTransactionReply.Marshal(b, m, deterministic)
}
func (m *GetStoreTransactionReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStoreTransactionReply.Merge(m, src)
}
func (m *GetStoreTransactionReply) XXX_Size() int {
	return xxx_messageInfo_GetStoreTransactionReply.Size(m)
}
func (m *GetStoreTransactionReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStoreTransactionReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetStoreTransactionReply proto.InternalMessageInfo

func (m *GetStoreTransactionReply) GetTransaction() *StoreTransaction {
	if m != nil {
		return m.Transaction
	}
	return nil
}

func init() {
	proto.RegisterType((*Store)(nil), "Store")
	proto.RegisterType((*StoreCategory)(nil), "StoreCategory")
	proto.RegisterType((*StoreTransaction)(nil), "StoreTransaction")
	proto.RegisterType((*GetNewStoreTodayRequest)(nil), "GetNewStoreTodayRequest")
	proto.RegisterType((*GetNewStoreTodayReply)(nil), "GetNewStoreTodayReply")
	proto.RegisterType((*CreateStoreCategoryRequest)(nil), "CreateStoreCategoryRequest")
	proto.RegisterType((*CreateStoreCategoryReply)(nil), "CreateStoreCategoryReply")
	proto.RegisterType((*GetStoreCategoriesRequest)(nil), "GetStoreCategoriesRequest")
	proto.RegisterType((*GetStoreCategoriesReply)(nil), "GetStoreCategoriesReply")
	proto.RegisterType((*GetStoreCategoryRequest)(nil), "GetStoreCategoryRequest")
	proto.RegisterType((*GetStoreCategoryReply)(nil), "GetStoreCategoryReply")
	proto.RegisterType((*UpdateStoreCategoryRequest)(nil), "UpdateStoreCategoryRequest")
	proto.RegisterType((*UpdateStoreCategoryReply)(nil), "UpdateStoreCategoryReply")
	proto.RegisterType((*DeleteStoreCategoryRequest)(nil), "DeleteStoreCategoryRequest")
	proto.RegisterType((*DeleteStoreCategoryReply)(nil), "DeleteStoreCategoryReply")
	proto.RegisterType((*CreateStoreRequest)(nil), "CreateStoreRequest")
	proto.RegisterType((*CreateStoreReply)(nil), "CreateStoreReply")
	proto.RegisterType((*GetStoresRequest)(nil), "GetStoresRequest")
	proto.RegisterType((*GetStoresReply)(nil), "GetStoresReply")
	proto.RegisterType((*GetStoresByCategoryRequest)(nil), "GetStoresByCategoryRequest")
	proto.RegisterType((*GetStoresByCategoryReply)(nil), "GetStoresByCategoryReply")
	proto.RegisterType((*GetStoresByKeywordRequest)(nil), "GetStoresByKeywordRequest")
	proto.RegisterType((*GetStoresByKeywordReply)(nil), "GetStoresByKeywordReply")
	proto.RegisterType((*GetStoresByUserRequest)(nil), "GetStoresByUserRequest")
	proto.RegisterType((*GetStoresByUserReply)(nil), "GetStoresByUserReply")
	proto.RegisterType((*GetStoreRequest)(nil), "GetStoreRequest")
	proto.RegisterType((*GetStoreReply)(nil), "GetStoreReply")
	proto.RegisterType((*UpdateStoreRequest)(nil), "UpdateStoreRequest")
	proto.RegisterType((*UpdateStoreReply)(nil), "UpdateStoreReply")
	proto.RegisterType((*ActivateStoreRequest)(nil), "ActivateStoreRequest")
	proto.RegisterType((*ActivateStoreReply)(nil), "ActivateStoreReply")
	proto.RegisterType((*BanStoreRequest)(nil), "BanStoreRequest")
	proto.RegisterType((*BanStoreReply)(nil), "BanStoreReply")
	proto.RegisterType((*GetStoreTransactionsRequest)(nil), "GetStoreTransactionsRequest")
	proto.RegisterType((*GetStoreTransactionsReply)(nil), "GetStoreTransactionsReply")
	proto.RegisterType((*GetStoreTransactionRequest)(nil), "GetStoreTransactionRequest")
	proto.RegisterType((*GetStoreTransactionReply)(nil), "GetStoreTransactionReply")
}

func init() { proto.RegisterFile("store.proto", fileDescriptor_98bbca36ef968dfc) }

var fileDescriptor_98bbca36ef968dfc = []byte{
	// 1059 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xcc, 0x57, 0x51, 0x6f, 0xe3, 0x44,
	0x10, 0xb6, 0xd3, 0x26, 0x4d, 0x26, 0x97, 0x34, 0x9d, 0xb4, 0x39, 0x67, 0x53, 0x9d, 0xaa, 0x15,
	0x0f, 0x85, 0xe3, 0x56, 0xe5, 0x7a, 0x80, 0x40, 0x20, 0x71, 0x6d, 0xc5, 0xa9, 0x02, 0x51, 0xe4,
	0xe3, 0x5e, 0x91, 0x7c, 0xce, 0x5e, 0x31, 0xe4, 0xe2, 0x60, 0x6f, 0xee, 0x94, 0xff, 0xc4, 0x6f,
	0x42, 0xe2, 0x5f, 0xf0, 0x88, 0xbc, 0xb6, 0xe3, 0x5d, 0x7b, 0x9d, 0xa6, 0xf7, 0xc4, 0x5b, 0x66,
	0x76, 0x66, 0xf6, 0x9b, 0xd9, 0xf1, 0x37, 0x13, 0xe8, 0xc6, 0x22, 0x8c, 0x38, 0x5b, 0x44, 0xa1,
	0x08, 0xe9, 0x3f, 0x36, 0x34, 0x5f, 0x26, 0x32, 0xf6, 0xa1, 0x11, 0x4c, 0x1d, 0xfb, 0xc4, 0x3e,
	0xed, 0xb8, 0x8d, 0x60, 0x8a, 0x08, 0xbb, 0xb3, 0xf0, 0x36, 0x74, 0x1a, 0x52, 0x23, 0x7f, 0x27,
	0xba, 0xb9, 0xf7, 0x96, 0x3b, 0x3b, 0xa9, 0x2e, 0xf9, 0x8d, 0x0e, 0xec, 0x09, 0xef, 0x76, 0x16,
	0xcc, 0xb9, 0xb3, 0x2b, 0xd5, 0xb9, 0x88, 0x87, 0xd0, 0x5c, 0xfc, 0x16, 0xce, 0xb9, 0xd3, 0x94,
	0xfa, 0x54, 0x40, 0x02, 0xed, 0x99, 0x27, 0x02, 0xb1, 0x9c, 0x72, 0xa7, 0x75, 0x62, 0x9f, 0xda,
	0xee, 0x5a, 0xc6, 0x63, 0xe8, 0xcc, 0xc2, 0xf9, 0x6d, 0x7a, 0xb8, 0x27, 0x0f, 0x0b, 0x05, 0x3e,
	0x02, 0xf0, 0x3d, 0xc1, 0x6f, 0xc3, 0x68, 0x75, 0x7d, 0xe5, 0xb4, 0x65, 0x50, 0x45, 0x83, 0x23,
	0x68, 0xc5, 0xc2, 0x13, 0xcb, 0xd8, 0xe9, 0xc8, 0xb3, 0x4c, 0xa2, 0xe7, 0xd0, 0x93, 0x29, 0x5e,
	0x66, 0xa6, 0xa6, 0x54, 0x65, 0x5a, 0x8d, 0x22, 0x2d, 0xfa, 0x1a, 0x06, 0xd2, 0xe9, 0x97, 0xc8,
	0x9b, 0xc7, 0x9e, 0x2f, 0x82, 0x70, 0x5e, 0xf1, 0x3b, 0x81, 0xee, 0x94, 0xc7, 0x7e, 0x14, 0x2c,
	0x92, 0xe3, 0xcc, 0x5d, 0x55, 0x25, 0x09, 0xf9, 0x11, 0xf7, 0x04, 0x9f, 0x3e, 0x17, 0x59, 0xd5,
	0x0a, 0x05, 0x1d, 0xc3, 0xc3, 0x17, 0x5c, 0xfc, 0xc4, 0xdf, 0xa7, 0x37, 0x85, 0x53, 0x6f, 0xe5,
	0xf2, 0x3f, 0x97, 0x3c, 0x16, 0xf4, 0x09, 0x1c, 0x55, 0x8f, 0x16, 0xb3, 0x55, 0x52, 0x54, 0x3f,
	0x5c, 0xce, 0x85, 0x84, 0xd1, 0x74, 0x53, 0x81, 0x9e, 0x01, 0xb9, 0x94, 0x61, 0xb5, 0x44, 0xb3,
	0x60, 0xeb, 0xfc, 0x6c, 0x25, 0xbf, 0x67, 0xe0, 0x18, 0x3d, 0x92, 0x3b, 0x1c, 0xd8, 0x8b, 0x97,
	0xbe, 0xcf, 0xe3, 0x58, 0xba, 0xb4, 0xdd, 0x5c, 0xa4, 0xd7, 0x30, 0x7e, 0xc1, 0x85, 0xea, 0x12,
	0xf0, 0x38, 0xbf, 0x66, 0x04, 0xad, 0xf0, 0xcd, 0x9b, 0x98, 0xe7, 0xd8, 0x32, 0x29, 0x81, 0x3c,
	0x0b, 0xde, 0x06, 0x42, 0x16, 0xa8, 0xe9, 0xa6, 0x02, 0xbd, 0x96, 0xc9, 0x57, 0x42, 0x25, 0xf7,
	0xb3, 0xf5, 0x43, 0x07, 0x3c, 0x81, 0xb0, 0x73, 0xda, 0x7d, 0xda, 0x67, 0x3a, 0x50, 0xc5, 0x82,
	0x7e, 0x55, 0x09, 0xb5, 0x4e, 0x5d, 0xef, 0x19, 0xbb, 0xdc, 0x33, 0xf4, 0x52, 0xd6, 0xd9, 0x50,
	0x83, 0x4f, 0xa0, 0x9d, 0x9b, 0x49, 0xb7, 0x2a, 0x82, 0xf5, 0x39, 0xfd, 0x19, 0xc8, 0xab, 0xc5,
	0xb4, 0xae, 0xfa, 0x77, 0x40, 0x30, 0x76, 0xdf, 0x33, 0x70, 0x8c, 0x11, 0x37, 0xbf, 0xce, 0x37,
	0x40, 0xae, 0xf8, 0x8c, 0x7f, 0x18, 0x8e, 0xe4, 0x4e, 0xa3, 0xf7, 0xe6, 0x3b, 0xff, 0xb6, 0x01,
	0x95, 0x46, 0x52, 0x5a, 0x4e, 0xb2, 0x87, 0x6d, 0x60, 0x8f, 0x86, 0x99, 0x3d, 0x76, 0x6a, 0xd8,
	0x63, 0xb7, 0x8e, 0x3d, 0x9a, 0x9b, 0xd8, 0xa3, 0x55, 0x66, 0x8f, 0x11, 0xb4, 0x96, 0x31, 0x8f,
	0xae, 0xaf, 0x24, 0xb1, 0x74, 0xdc, 0x4c, 0xba, 0x8b, 0x55, 0xe8, 0xa7, 0x30, 0xd0, 0xf2, 0xdb,
	0x5c, 0x8e, 0xef, 0x60, 0x90, 0xf7, 0xd3, 0x07, 0x7e, 0x17, 0x67, 0xd0, 0x57, 0x22, 0x24, 0xb7,
	0x3d, 0x4a, 0x78, 0x2d, 0x11, 0xb3, 0x4f, 0xa1, 0x95, 0x36, 0xa2, 0x9b, 0x69, 0xe9, 0xef, 0x40,
	0xd6, 0x1e, 0x17, 0xab, 0xfb, 0xb6, 0x5f, 0x81, 0xae, 0x61, 0x46, 0xb7, 0xa3, 0xa2, 0xfb, 0x1a,
	0x1c, 0xe3, 0x5d, 0xdb, 0xe0, 0xf4, 0x0b, 0xf2, 0x88, 0x2f, 0x56, 0x3f, 0xf0, 0xd5, 0xfb, 0x30,
	0x9a, 0xe6, 0x30, 0x1d, 0xd8, 0xfb, 0x23, 0xd5, 0x64, 0x18, 0x73, 0xf1, 0x9e, 0x00, 0x15, 0x2e,
	0x50, 0x2f, 0xd9, 0x06, 0xdf, 0xaf, 0x30, 0x52, 0x5c, 0x5f, 0xc5, 0x3c, 0x52, 0x5e, 0x30, 0xeb,
	0x1d, 0x5b, 0xeb, 0x9d, 0xfb, 0x41, 0xfb, 0x02, 0x0e, 0x2b, 0xf1, 0xb7, 0xc1, 0xf5, 0x18, 0xf6,
	0x73, 0x3f, 0xa5, 0x5a, 0xf2, 0x70, 0x8d, 0x28, 0x17, 0xe9, 0x13, 0xe8, 0x15, 0xc6, 0x49, 0xf4,
	0x63, 0x68, 0xca, 0xb3, 0x8c, 0xc5, 0xf2, 0xe0, 0xa9, 0x92, 0xfe, 0x6b, 0x03, 0x2a, 0x4c, 0x73,
	0x67, 0xfc, 0xff, 0xe1, 0x5a, 0x50, 0x3c, 0x4e, 0x7b, 0xc3, 0x87, 0xdd, 0x31, 0x7d, 0xd8, 0x5a,
	0xe6, 0x9b, 0x3f, 0xec, 0x33, 0x38, 0x7c, 0xee, 0x8b, 0xe0, 0xdd, 0xd6, 0x95, 0xa2, 0x0c, 0xb0,
	0xe4, 0xb1, 0xf9, 0x86, 0xc7, 0xb0, 0x7f, 0xe1, 0xcd, 0xb7, 0x0c, 0xfe, 0x31, 0xf4, 0x0a, 0xe3,
	0xcd, 0x71, 0x39, 0x4c, 0xf2, 0x8e, 0x50, 0x96, 0x99, 0xf8, 0xee, 0xa7, 0xbe, 0x5f, 0x77, 0xbb,
	0xc5, 0xd7, 0xad, 0x5f, 0x93, 0xa0, 0xfb, 0x1c, 0x1e, 0x08, 0x45, 0x99, 0x35, 0xfa, 0x01, 0x2b,
	0x9b, 0xbb, 0x9a, 0x19, 0xbd, 0x28, 0x98, 0x4d, 0x35, 0xca, 0x90, 0x7f, 0x04, 0x3d, 0xc5, 0x7a,
	0x8d, 0x5f, 0x57, 0xd2, 0x9b, 0x82, 0xb1, 0xb4, 0x18, 0x09, 0xac, 0x73, 0xe8, 0x2a, 0xc6, 0xd9,
	0x17, 0x62, 0x40, 0xa5, 0x5a, 0x3d, 0xfd, 0xab, 0x03, 0x0f, 0xa4, 0xc5, 0x4b, 0x1e, 0xbd, 0x0b,
	0x7c, 0x8e, 0xdf, 0x4b, 0xce, 0xd7, 0x76, 0x35, 0x74, 0x58, 0xcd, 0x66, 0x47, 0x46, 0xcc, 0xb8,
	0xd8, 0x51, 0x0b, 0x6f, 0x60, 0x68, 0x58, 0xc9, 0x70, 0xc2, 0xea, 0x57, 0x3b, 0x32, 0x66, 0x75,
	0x5b, 0x1c, 0xb5, 0xf0, 0x47, 0xc0, 0xea, 0x8a, 0x85, 0x84, 0xd5, 0xae, 0x70, 0xc4, 0x61, 0x35,
	0x3b, 0x19, 0xb5, 0xb2, 0x34, 0x75, 0x6c, 0x15, 0x7b, 0x3d, 0x4d, 0x23, 0xaa, 0x1b, 0x18, 0x1a,
	0x76, 0x1b, 0x9c, 0xb0, 0xfa, 0x1d, 0x8a, 0x8c, 0x59, 0xdd, 0x3a, 0x94, 0x06, 0x34, 0x2c, 0x2e,
	0x38, 0x61, 0xf5, 0xcb, 0x10, 0x19, 0xb3, 0xba, 0x5d, 0x87, 0x5a, 0xf8, 0x25, 0x74, 0x95, 0xaa,
	0xe2, 0x90, 0x55, 0x17, 0x1c, 0x72, 0xc0, 0xca, 0x5b, 0x01, 0xb5, 0xf0, 0x33, 0xe8, 0xac, 0x19,
	0x1e, 0x0f, 0x58, 0x79, 0x13, 0x20, 0xfb, 0x4c, 0x1f, 0xed, 0x29, 0x78, 0xc3, 0x40, 0xc5, 0x09,
	0xab, 0x1f, 0xe9, 0x64, 0xcc, 0xea, 0x66, 0xb0, 0xfe, 0xe8, 0xc5, 0x00, 0x54, 0x1e, 0xbd, 0x32,
	0x7a, 0x95, 0x47, 0x2f, 0x4d, 0x4c, 0x6a, 0xe1, 0x65, 0x31, 0x7b, 0xb2, 0x99, 0x85, 0x0f, 0x99,
	0x79, 0x4a, 0x92, 0x23, 0x66, 0x1a, 0x6f, 0xd4, 0x42, 0x06, 0xed, 0xfc, 0x04, 0x07, 0xac, 0x34,
	0xcb, 0x48, 0x9f, 0x69, 0x03, 0x2b, 0xad, 0xbf, 0xf2, 0xdc, 0x38, 0x64, 0xd5, 0x09, 0x45, 0x0e,
	0x58, 0x99, 0xbc, 0xa9, 0x85, 0xdf, 0x42, 0x4f, 0xa3, 0x5c, 0x3c, 0x62, 0x26, 0xd2, 0x26, 0x43,
	0x56, 0x65, 0xe6, 0x14, 0x67, 0x4e, 0xaa, 0x38, 0x60, 0x25, 0x32, 0x26, 0x7d, 0xa6, 0x31, 0x2e,
	0xb5, 0xd0, 0x2d, 0x06, 0xba, 0x4a, 0x79, 0x78, 0xcc, 0x36, 0x10, 0x2e, 0x21, 0xac, 0x96, 0x27,
	0xf5, 0x7e, 0x50, 0xff, 0x7a, 0x4e, 0x58, 0x3d, 0x11, 0x2a, 0xfd, 0x50, 0x66, 0x38, 0x6a, 0xbd,
	0x6e, 0xc9, 0x3f, 0xfa, 0xe7, 0xff, 0x05, 0x00, 0x00, 0xff, 0xff, 0xc5, 0x4a, 0x35, 0xa7, 0xf7,
	0x0f, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// StoreServiceClient is the client API for StoreService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type StoreServiceClient interface {
	GetNewStoreToday(ctx context.Context, in *GetNewStoreTodayRequest, opts ...grpc.CallOption) (*GetNewStoreTodayReply, error)
	CreateStoreCategory(ctx context.Context, in *CreateStoreCategoryRequest, opts ...grpc.CallOption) (*CreateStoreCategoryReply, error)
	GetStoreCategories(ctx context.Context, in *GetStoreCategoriesRequest, opts ...grpc.CallOption) (*GetStoreCategoriesReply, error)
	GetStoreCategory(ctx context.Context, in *GetStoreCategoryRequest, opts ...grpc.CallOption) (*GetStoreCategoryReply, error)
	UpdateStoreCategory(ctx context.Context, in *UpdateStoreCategoryRequest, opts ...grpc.CallOption) (*UpdateStoreCategoryReply, error)
	DeleteStoreCategory(ctx context.Context, in *DeleteStoreCategoryRequest, opts ...grpc.CallOption) (*DeleteStoreCategoryReply, error)
	CreateStore(ctx context.Context, in *CreateStoreRequest, opts ...grpc.CallOption) (*CreateStoreReply, error)
	GetStores(ctx context.Context, in *GetStoresRequest, opts ...grpc.CallOption) (*GetStoresReply, error)
	GetStoresByCategory(ctx context.Context, in *GetStoresByCategoryRequest, opts ...grpc.CallOption) (*GetStoresByCategoryReply, error)
	GetStoresByKeyword(ctx context.Context, in *GetStoresByKeywordRequest, opts ...grpc.CallOption) (*GetStoresByKeywordReply, error)
	GetStoresByUser(ctx context.Context, in *GetStoresByUserRequest, opts ...grpc.CallOption) (*GetStoresByUserReply, error)
	GetStore(ctx context.Context, in *GetStoreRequest, opts ...grpc.CallOption) (*GetStoreReply, error)
	UpdateStore(ctx context.Context, in *UpdateStoreRequest, opts ...grpc.CallOption) (*UpdateStoreReply, error)
	ActivateStore(ctx context.Context, in *ActivateStoreRequest, opts ...grpc.CallOption) (*ActivateStoreReply, error)
	BanStore(ctx context.Context, in *BanStoreRequest, opts ...grpc.CallOption) (*BanStoreReply, error)
	GetStoreTransactions(ctx context.Context, in *GetStoreTransactionsRequest, opts ...grpc.CallOption) (*GetStoreTransactionsReply, error)
	GetStoreTransaction(ctx context.Context, in *GetStoreTransactionRequest, opts ...grpc.CallOption) (*GetStoreTransactionReply, error)
}

type storeServiceClient struct {
	cc *grpc.ClientConn
}

func NewStoreServiceClient(cc *grpc.ClientConn) StoreServiceClient {
	return &storeServiceClient{cc}
}

func (c *storeServiceClient) GetNewStoreToday(ctx context.Context, in *GetNewStoreTodayRequest, opts ...grpc.CallOption) (*GetNewStoreTodayReply, error) {
	out := new(GetNewStoreTodayReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetNewStoreToday", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) CreateStoreCategory(ctx context.Context, in *CreateStoreCategoryRequest, opts ...grpc.CallOption) (*CreateStoreCategoryReply, error) {
	out := new(CreateStoreCategoryReply)
	err := c.cc.Invoke(ctx, "/StoreService/CreateStoreCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoreCategories(ctx context.Context, in *GetStoreCategoriesRequest, opts ...grpc.CallOption) (*GetStoreCategoriesReply, error) {
	out := new(GetStoreCategoriesReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoreCategories", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoreCategory(ctx context.Context, in *GetStoreCategoryRequest, opts ...grpc.CallOption) (*GetStoreCategoryReply, error) {
	out := new(GetStoreCategoryReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoreCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) UpdateStoreCategory(ctx context.Context, in *UpdateStoreCategoryRequest, opts ...grpc.CallOption) (*UpdateStoreCategoryReply, error) {
	out := new(UpdateStoreCategoryReply)
	err := c.cc.Invoke(ctx, "/StoreService/UpdateStoreCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) DeleteStoreCategory(ctx context.Context, in *DeleteStoreCategoryRequest, opts ...grpc.CallOption) (*DeleteStoreCategoryReply, error) {
	out := new(DeleteStoreCategoryReply)
	err := c.cc.Invoke(ctx, "/StoreService/DeleteStoreCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) CreateStore(ctx context.Context, in *CreateStoreRequest, opts ...grpc.CallOption) (*CreateStoreReply, error) {
	out := new(CreateStoreReply)
	err := c.cc.Invoke(ctx, "/StoreService/CreateStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStores(ctx context.Context, in *GetStoresRequest, opts ...grpc.CallOption) (*GetStoresReply, error) {
	out := new(GetStoresReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStores", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoresByCategory(ctx context.Context, in *GetStoresByCategoryRequest, opts ...grpc.CallOption) (*GetStoresByCategoryReply, error) {
	out := new(GetStoresByCategoryReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoresByCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoresByKeyword(ctx context.Context, in *GetStoresByKeywordRequest, opts ...grpc.CallOption) (*GetStoresByKeywordReply, error) {
	out := new(GetStoresByKeywordReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoresByKeyword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoresByUser(ctx context.Context, in *GetStoresByUserRequest, opts ...grpc.CallOption) (*GetStoresByUserReply, error) {
	out := new(GetStoresByUserReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoresByUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStore(ctx context.Context, in *GetStoreRequest, opts ...grpc.CallOption) (*GetStoreReply, error) {
	out := new(GetStoreReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) UpdateStore(ctx context.Context, in *UpdateStoreRequest, opts ...grpc.CallOption) (*UpdateStoreReply, error) {
	out := new(UpdateStoreReply)
	err := c.cc.Invoke(ctx, "/StoreService/UpdateStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) ActivateStore(ctx context.Context, in *ActivateStoreRequest, opts ...grpc.CallOption) (*ActivateStoreReply, error) {
	out := new(ActivateStoreReply)
	err := c.cc.Invoke(ctx, "/StoreService/ActivateStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) BanStore(ctx context.Context, in *BanStoreRequest, opts ...grpc.CallOption) (*BanStoreReply, error) {
	out := new(BanStoreReply)
	err := c.cc.Invoke(ctx, "/StoreService/BanStore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoreTransactions(ctx context.Context, in *GetStoreTransactionsRequest, opts ...grpc.CallOption) (*GetStoreTransactionsReply, error) {
	out := new(GetStoreTransactionsReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoreTransactions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *storeServiceClient) GetStoreTransaction(ctx context.Context, in *GetStoreTransactionRequest, opts ...grpc.CallOption) (*GetStoreTransactionReply, error) {
	out := new(GetStoreTransactionReply)
	err := c.cc.Invoke(ctx, "/StoreService/GetStoreTransaction", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// StoreServiceServer is the server API for StoreService service.
type StoreServiceServer interface {
	GetNewStoreToday(context.Context, *GetNewStoreTodayRequest) (*GetNewStoreTodayReply, error)
	CreateStoreCategory(context.Context, *CreateStoreCategoryRequest) (*CreateStoreCategoryReply, error)
	GetStoreCategories(context.Context, *GetStoreCategoriesRequest) (*GetStoreCategoriesReply, error)
	GetStoreCategory(context.Context, *GetStoreCategoryRequest) (*GetStoreCategoryReply, error)
	UpdateStoreCategory(context.Context, *UpdateStoreCategoryRequest) (*UpdateStoreCategoryReply, error)
	DeleteStoreCategory(context.Context, *DeleteStoreCategoryRequest) (*DeleteStoreCategoryReply, error)
	CreateStore(context.Context, *CreateStoreRequest) (*CreateStoreReply, error)
	GetStores(context.Context, *GetStoresRequest) (*GetStoresReply, error)
	GetStoresByCategory(context.Context, *GetStoresByCategoryRequest) (*GetStoresByCategoryReply, error)
	GetStoresByKeyword(context.Context, *GetStoresByKeywordRequest) (*GetStoresByKeywordReply, error)
	GetStoresByUser(context.Context, *GetStoresByUserRequest) (*GetStoresByUserReply, error)
	GetStore(context.Context, *GetStoreRequest) (*GetStoreReply, error)
	UpdateStore(context.Context, *UpdateStoreRequest) (*UpdateStoreReply, error)
	ActivateStore(context.Context, *ActivateStoreRequest) (*ActivateStoreReply, error)
	BanStore(context.Context, *BanStoreRequest) (*BanStoreReply, error)
	GetStoreTransactions(context.Context, *GetStoreTransactionsRequest) (*GetStoreTransactionsReply, error)
	GetStoreTransaction(context.Context, *GetStoreTransactionRequest) (*GetStoreTransactionReply, error)
}

// UnimplementedStoreServiceServer can be embedded to have forward compatible implementations.
type UnimplementedStoreServiceServer struct {
}

func (*UnimplementedStoreServiceServer) GetNewStoreToday(ctx context.Context, req *GetNewStoreTodayRequest) (*GetNewStoreTodayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNewStoreToday not implemented")
}
func (*UnimplementedStoreServiceServer) CreateStoreCategory(ctx context.Context, req *CreateStoreCategoryRequest) (*CreateStoreCategoryReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateStoreCategory not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoreCategories(ctx context.Context, req *GetStoreCategoriesRequest) (*GetStoreCategoriesReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreCategories not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoreCategory(ctx context.Context, req *GetStoreCategoryRequest) (*GetStoreCategoryReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreCategory not implemented")
}
func (*UnimplementedStoreServiceServer) UpdateStoreCategory(ctx context.Context, req *UpdateStoreCategoryRequest) (*UpdateStoreCategoryReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateStoreCategory not implemented")
}
func (*UnimplementedStoreServiceServer) DeleteStoreCategory(ctx context.Context, req *DeleteStoreCategoryRequest) (*DeleteStoreCategoryReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteStoreCategory not implemented")
}
func (*UnimplementedStoreServiceServer) CreateStore(ctx context.Context, req *CreateStoreRequest) (*CreateStoreReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateStore not implemented")
}
func (*UnimplementedStoreServiceServer) GetStores(ctx context.Context, req *GetStoresRequest) (*GetStoresReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStores not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoresByCategory(ctx context.Context, req *GetStoresByCategoryRequest) (*GetStoresByCategoryReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoresByCategory not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoresByKeyword(ctx context.Context, req *GetStoresByKeywordRequest) (*GetStoresByKeywordReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoresByKeyword not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoresByUser(ctx context.Context, req *GetStoresByUserRequest) (*GetStoresByUserReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoresByUser not implemented")
}
func (*UnimplementedStoreServiceServer) GetStore(ctx context.Context, req *GetStoreRequest) (*GetStoreReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStore not implemented")
}
func (*UnimplementedStoreServiceServer) UpdateStore(ctx context.Context, req *UpdateStoreRequest) (*UpdateStoreReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateStore not implemented")
}
func (*UnimplementedStoreServiceServer) ActivateStore(ctx context.Context, req *ActivateStoreRequest) (*ActivateStoreReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ActivateStore not implemented")
}
func (*UnimplementedStoreServiceServer) BanStore(ctx context.Context, req *BanStoreRequest) (*BanStoreReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BanStore not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoreTransactions(ctx context.Context, req *GetStoreTransactionsRequest) (*GetStoreTransactionsReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreTransactions not implemented")
}
func (*UnimplementedStoreServiceServer) GetStoreTransaction(ctx context.Context, req *GetStoreTransactionRequest) (*GetStoreTransactionReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStoreTransaction not implemented")
}

func RegisterStoreServiceServer(s *grpc.Server, srv StoreServiceServer) {
	s.RegisterService(&_StoreService_serviceDesc, srv)
}

func _StoreService_GetNewStoreToday_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNewStoreTodayRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetNewStoreToday(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetNewStoreToday",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetNewStoreToday(ctx, req.(*GetNewStoreTodayRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_CreateStoreCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateStoreCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).CreateStoreCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/CreateStoreCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).CreateStoreCategory(ctx, req.(*CreateStoreCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoreCategories_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreCategoriesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoreCategories(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoreCategories",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoreCategories(ctx, req.(*GetStoreCategoriesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoreCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoreCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoreCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoreCategory(ctx, req.(*GetStoreCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_UpdateStoreCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateStoreCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).UpdateStoreCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/UpdateStoreCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).UpdateStoreCategory(ctx, req.(*UpdateStoreCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_DeleteStoreCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteStoreCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).DeleteStoreCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/DeleteStoreCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).DeleteStoreCategory(ctx, req.(*DeleteStoreCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_CreateStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateStoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).CreateStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/CreateStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).CreateStore(ctx, req.(*CreateStoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStores_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoresRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStores(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStores",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStores(ctx, req.(*GetStoresRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoresByCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoresByCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoresByCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoresByCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoresByCategory(ctx, req.(*GetStoresByCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoresByKeyword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoresByKeywordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoresByKeyword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoresByKeyword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoresByKeyword(ctx, req.(*GetStoresByKeywordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoresByUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoresByUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoresByUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoresByUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoresByUser(ctx, req.(*GetStoresByUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStore(ctx, req.(*GetStoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_UpdateStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateStoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).UpdateStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/UpdateStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).UpdateStore(ctx, req.(*UpdateStoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_ActivateStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ActivateStoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).ActivateStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/ActivateStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).ActivateStore(ctx, req.(*ActivateStoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_BanStore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BanStoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).BanStore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/BanStore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).BanStore(ctx, req.(*BanStoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoreTransactions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreTransactionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoreTransactions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoreTransactions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoreTransactions(ctx, req.(*GetStoreTransactionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StoreService_GetStoreTransaction_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStoreTransactionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StoreServiceServer).GetStoreTransaction(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/StoreService/GetStoreTransaction",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StoreServiceServer).GetStoreTransaction(ctx, req.(*GetStoreTransactionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _StoreService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "StoreService",
	HandlerType: (*StoreServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetNewStoreToday",
			Handler:    _StoreService_GetNewStoreToday_Handler,
		},
		{
			MethodName: "CreateStoreCategory",
			Handler:    _StoreService_CreateStoreCategory_Handler,
		},
		{
			MethodName: "GetStoreCategories",
			Handler:    _StoreService_GetStoreCategories_Handler,
		},
		{
			MethodName: "GetStoreCategory",
			Handler:    _StoreService_GetStoreCategory_Handler,
		},
		{
			MethodName: "UpdateStoreCategory",
			Handler:    _StoreService_UpdateStoreCategory_Handler,
		},
		{
			MethodName: "DeleteStoreCategory",
			Handler:    _StoreService_DeleteStoreCategory_Handler,
		},
		{
			MethodName: "CreateStore",
			Handler:    _StoreService_CreateStore_Handler,
		},
		{
			MethodName: "GetStores",
			Handler:    _StoreService_GetStores_Handler,
		},
		{
			MethodName: "GetStoresByCategory",
			Handler:    _StoreService_GetStoresByCategory_Handler,
		},
		{
			MethodName: "GetStoresByKeyword",
			Handler:    _StoreService_GetStoresByKeyword_Handler,
		},
		{
			MethodName: "GetStoresByUser",
			Handler:    _StoreService_GetStoresByUser_Handler,
		},
		{
			MethodName: "GetStore",
			Handler:    _StoreService_GetStore_Handler,
		},
		{
			MethodName: "UpdateStore",
			Handler:    _StoreService_UpdateStore_Handler,
		},
		{
			MethodName: "ActivateStore",
			Handler:    _StoreService_ActivateStore_Handler,
		},
		{
			MethodName: "BanStore",
			Handler:    _StoreService_BanStore_Handler,
		},
		{
			MethodName: "GetStoreTransactions",
			Handler:    _StoreService_GetStoreTransactions_Handler,
		},
		{
			MethodName: "GetStoreTransaction",
			Handler:    _StoreService_GetStoreTransaction_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "store.proto",
}
